Skip to main content
GET
/
v1
/
sourcings
/
{sourcingId}
/
sequence-blueprints
List dynamic sequences
curl --request GET \
  --url https://app.kalent.ai/api/v1/sourcings/{sourcingId}/sequence-blueprints \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://docs.kalent.ai/llms.txt

Use this file to discover all available pages before exploring further.

First time? Set up Authentication

Learn how to authenticate your API requests with your API key.
Lists sequence blueprints attached to a sourcing. Use a returned blueprintId with Start sequence blueprint.

Path parameters

sourcingId
string
required
Sourcing id.

Query parameters

page
integer
default:"0"
Zero-based page index.
pageSize
integer
default:"20"
Page size (max 50).
Optional case-insensitive filter on blueprint name.

Response

When success is true, data contains:
  • sequenceBlueprints — each item includes:
    • blueprintId
    • name
    • sourcingId
    • createdAt
    • updatedAt
    • steps
    • stepCount
    • channels — unique outreach types used in the blueprint (for example LINKEDIN, EMAIL)
  • paginationpage, pageSize, total, hasNextPage
Returned steps do not expose internal workspaceId or userId fields.
{
  "success": true,
  "data": {
    "sequenceBlueprints": [
      {
        "blueprintId": "bp_123",
        "name": "LinkedIn outreach",
        "sourcingId": "sourcing_123",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-02T00:00:00.000Z",
        "steps": [],
        "stepCount": 0,
        "channels": []
      }
    ],
    "pagination": {
      "page": 0,
      "pageSize": 20,
      "total": 1,
      "hasNextPage": false
    }
  }
}

Typical flow

  1. Create sourcing
  2. Add talent to sourcing
  3. List dynamic sequences (this endpoint) or Create sequence blueprint
  4. Start sequence blueprint